<div >

	<div class="panel panel-primary">
	  	<div class="panel-heading">
	    	<h3 class="panel-title">Generate POST Request to API @ /api/solver/shortestPath </h3>
		</div>
	  	<div class="panel-body">
	  		<div class="row">
		  		<div class="col-md-3 col-sm-6">
				    <div class="btn-group" uib-dropdown is-open="status.isopen1">
				      <button id="solver" type="button" class="btn btn-primary" uib-dropdown-toggle>
				        Solver Algorithm
				      	<span class="caret"></span>
				      </button>
				      <ul uib-dropdown-menu role="menu" aria-labelledby="solver">
				        <li role="menuitem"  ng-repeat="(key, value) in dropdowns.solver"><a ng-click="solveUsing(key)">{{value}}</a></li>
				      </ul>
			    	</div>
		  		</div>
		  		<div class="col-md-3 col-sm-6" ng-show="!(request.solver == 'brute-force')">
				    <div class="btn-group" uib-dropdown is-open="status.isopen2">
				      <button id="opt" type="button" class="btn btn-primary" uib-dropdown-toggle>
				        Optimisation <span class="caret"></span>
				      </button>
				      <ul uib-dropdown-menu role="menu" aria-labelledby="opt">
				        <li role="menuitem"><a ng-repeat="(key, value) in dropdowns.opt" ng-click="alterUsing(key)">{{value}}</a></li>
 					</ul>
			    	</div>
		  		</div>
		  		<div class="col-md-3 col-sm-6">
				    <div class="btn-group" uib-dropdown is-open="status.isopen3">
				      <button id="dist" type="button" class="btn btn-primary" uib-dropdown-toggle>
				        Distance Calculation<span class="caret"></span>
				      </button>
				      <ul uib-dropdown-menu role="menu" aria-labelledby="dist">
				        <li role="menuitem"><a ng-repeat="(key, value) in dropdowns.dist" ng-click="calcUsing(key)">{{value}}</a></li>
 				      </ul>
			    	</div>
		  		</div>
		  		<div class="col-md-3 col-sm-6">
		  			<div class="btn-group" uib-dropdown is-open="data.isopen4">
				      <button id="data" type="button" class="btn btn-primary" uib-dropdown-toggle>
				        Data Type<span class="caret"></span>
				      </button>
		  			  <ul uib-dropdown-menu role="menu" aria-labelledby="data">
				        <li role="menuitem"><a ng-repeat="(key, value) in dropdowns.data" ng-click="sampleUsing(key)">{{value}}</a></li>
 				      </ul>
 				    </div>

		  		</div>
		  	</div>
		  	<div class="row">
		  		<div class="col-md-12">
				    <div class="input-group" ng-show="request.sampleType=='data'">
					  <span class="input-group-addon" id="basic-addon1">JSON</span>
					    <input 	class="form-control custom-control"
					  		placeholder="Paste List of Vehicle Objects"
					  		ng-model="request.data">
					    </input>
				    </div>
				   	<div class="input-group" ng-show="request.sampleType!='data'">
					  <span class="input-group-addon" id="basic-addon1">Vehicles in sample</span>
					    <input 	class="form-control custom-control"
					  		placeholder="Vehicles in Sample"
					  		ng-model="request.nVehicles">
					    </input>
				    </div>
				   	<div class="input-group" ng-show="request.calc=='wed1122'">
					  <span class="input-group-addon" id="basic-addon1">Walk Weight</span>
					    <input 	class="form-control custom-control"
					  		placeholder="Number of Vehicles to generate"
					  		ng-model="request.walkWeight">
					    </input>
				    </div>
   				   	<div class="input-group" ng-show="request.sampleType=='random-seed'">
					  <span class="input-group-addon" id="basic-addon1">Seed</span>
					    <input 	class="form-control custom-control"
					  		placeholder="Number of Vehicles to generate"
					  		ng-model="request.walkWeight">
					    </input>
				    </div>

			   	</div>
		  	</div>

		  	<div class="row">

		  		<div class="col-md-3 col-sm-4">
		  			<a class="btn btn-success" ng-click="solve()">
						<span>Solve</span>
				  	</a>
		  		</div>
		  		<div class="col-md-3 col-sm-4">
			   		<a class="btn btn-warning" ng-click="clear()">
						<span>Clear</span>
			  		</a>
		  		</div>
		  		<div class="col-md-offset-3 col-md-3 col-sm-4">
				  	<div class="btn-group" uib-dropdown is-open="status.isopen9">
				      <button id="preset" type="button" class="btn btn-danger" uib-dropdown-toggle>
				        Presets
				      	<span class="caret"></span>
				      </button>
				      <ul uib-dropdown-menu role="menu" aria-labelledby="preset">
				        <li role="menuitem" ><a ng-click="dropdowns.presets.bruteForce()">Brute Force</a></li>
				        <li role="menuitem" ><a ng-click="dropdowns.presets.nearestNeighbour()">Nearest Neighbour</a></li>
				        <li role="menuitem" ><a ng-click="dropdowns.presets.repeatedNearestNeighbour()">Repeated Nearest Neighbour</a></li>
 				        <li role="menuitem" ><a ng-click="dropdowns.presets.sampledRepeatedNearestNeighbour()">Sampled Nearest Neighbour</a></li>
				        <li role="menuitem" ><a ng-click="dropdowns.presets.repeatedNearestNeighbour2Opt()">Repeated Nearest Neighbour with 2-Opt</a></li>
				        <li role="menuitem" ><a ng-click="dropdowns.presets.sampledNearestNeighbour2Opt()">Sampled Repeated Nearest Neighbour with 2-Opt</a></li>
 				        <li role="menuitem" ><a ng-click="dropdowns.presets.divideConquer()">Divide & Conquer</a></li>
 				        <li role="menuitem" ><a ng-click="dropdowns.presets.nissanMethod()">Nissan Morrocco Tangiers</a></li>
 				        <li role="menuitem" ><a ng-click="dropdowns.presets.unsorted()">Unsorted</a></li>
				      </ul>
			    	</div>
		  		</div>


			</div>

		  	<div class="row">
			  		<div class="col-sm-6">
			  			<h4>Request</h4>
			  			<pre>{{request | json}}</pre>
			  		</div>
			  		<div class="col-sm-6">
			  			<h4>Model</h4>
			  			<pre class="preScroll">{{responseObject | json}}</pre>
			  		</div>
		   		</div>
	  	</div>
</div>

<div class="alert alert-warning" ng-show="errorMessage">
	<p>{{errorMessage}}</p>
</div>

	<div class="panel panel-primary" ng-show="response.vehicles" >
	    <div class="panel-heading">
         <h3 class="panel-title pull-left">
			Total Distance Travelled:  {{response.totalEuclidianDistance | number:2}} on route of {{response.vehicles.length}} Vehicles
          </h3>

        <button class="btn btn-success pull-right" style="width:inherit" ui-sref="home.diagram({sigmaGraph:sigmaGraph})">Plot</button>
        <div class="clearfix"></div>
    </div>


	  	<div class="panel-body">
	  		<div class="col-sm-6">

			    <!-- Timeline -->
			    <div class="timeline">

			        <!-- Panel -->
			        <article class="panel panel-primary" ng-repeat="vehicle in response.vehicles">

			            <!-- Icon -->
			            <div class="panel-heading icon">
			                <i class="fa fa-car"></i>
			            </div>
			            <!-- /Icon -->

			            <!-- Heading -->
			            <div class="panel-heading">
			                <h2 class="panel-title">{{vehicle.invariant}}</h2>
			            </div>
			            <!-- /Heading -->

			            <!-- Body -->
			            <div class="panel-body">
				              <p> Current Parking Position: ({{vehicle.currentParkingPosition.x}}, {{vehicle.currentParkingPosition.y}}) </p>
				              <p> To be moved to: ({{vehicle.nextParkingPosition.x}}, {{vehicle.nextParkingPosition.y}}) </p>
				              <a class="btn btn-block btn-success bd-top" style="color:white !important;" ng-click="remove(vehicle)">Done</a>
			            </div>
			            <!-- /Body -->

			        </article>
			        <!-- /Panel -->


			    </div>
			    <!-- /Timeline -->


	  		</div>
	  		<div class="col-sm-6">
	 			<pre>{{responseRequest | json}}</pre>
	 			<pre>{{response | json}}</pre>
	  		</div>
	  	</div>
  	</div>

</div>

<hr>

<!-- placeholder -->
<div class="bs-docs-featurette">
    <div class="container">
    </div>
</div>
